Kodall
REST API

Storage API

All requests for this API must be authenticated. The authentication can be achieved in the following ways:

All requests for this API must be authenticated. The authentication can be achieved in the following ways:

  1. by using and API Key
  2. by using the Auth API
  3. by using the Oauth2 flow
  4. by using the OpenID flow

POST /storage

Add a file to storage.

Request

POST /storage

Response

The json with information about the file.

Example

POST/storage
Initializing connection...

GET /storage

Reads a file from storage.

Request

GET /storage

Parameters

NameLocationDescriptionSchema
idurlThe key of the file.long
versionurlThe version of the file. Optional.long
actionurl'download' to force download. 'view' otherwise.string

Response

The binary file.

Example

GET/storage?id=1&action=view
Initializing connection...

POST /storage/file-version

Add a file version to storage.

Request

POST /storage/file-version

Response

The json with information about the file.

Example

POST/storage/file-version
Initializing connection...

GET /storage/file-version

Reads a file from storage.

Request

GET /storage/file-version

Parameters

NameLocationDescriptionSchema
idurlThe key of the file.long
versionurlThe version of the file. Optional.long
actionurl'download' to force download. 'view' otherwise.string

Response

The binary file.

Example

GET/storage/file-version?id=1&action=view
Initializing connection...